/*
 * Client functionality for panel library access.
 *
 * Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include <l4/devices/dl.h>
#include "panel-loader.h"

void *load_panel()
{
  // Load the panel library using details in the specified file.

  void *(*panel_get)(void);

  panel_get = (void *(*)(void)) load_function("rom/mips-jz4740-panel.txt", "panel_get");
  if (!panel_get) return 0;

  // Return the panel details.

  return panel_get();
}
